#include <stdio.h>

main() /* (zusammengesetzte) Zuweisungsoperatoren */
{
        int x = 4, y, z = 1;

        printf("%d\n",    x *= z + 4        );
        printf("%d\n",    y = x -= z * 8    );
        printf("%d\n",    z = y == x        );
        printf("%d\n",    y == ( x = z )    );
}
